# Simple colored bash prompt

The prompt color theme can be customized simply by setting
the `PROMPT_COLOR` envvar, and optionally `PROMPT_DIR_COLOR`.

For example `PROMPT_COLOR='2;7'` is dim inverse-video
and `PROMPT_COLOR='1;33;53'` is bright/bold yellow with overline.

`PROMPT_DIR_COLOR` similarly changes the color of the working directory,
which otherwise defaults to `PROMPT_COLOR`.

The prompt can be bracketed to look more like the traditional Fedora prompt
by setting `PROMPT_BRACKETS`.

Set `prompt_color_force` (before source'ing) to force usage/updating of color PS1:
by default it is only setup cautiously if `$TERM` ends in "color"
*and* PS1 is the fedora or bash default.

Also you can set `PROMPT_ERROR` if you want to append red error exit code to the prompt.

See `/etc/profile.d/bash-color-prompt.sh` for the actual script.

Please open issues against [shell-color-prompt](https://src.fedoraproject.org/rpms/shell-color-prompt).

## References
See <https://en.wikipedia.org/wiki/ANSI_escape_code#SGR_(Select_Graphic_Rendition)_parameters> etc for the ANSI codes.
